%global apiversion 0.1
%global major 1
%define libname %mklibname etonyek %apiversion %major
%define devname %mklibname -d etonyek

Name: libetonyek
Version: 0.1.1
Release: %mkrel 4
Summary: A library for import of Apple Keynote presentations

Group: System/Libraries
License: MPLv2.0
URL: http://www.freedesktop.org/wiki/Software/libetonyek/
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz

BuildRequires: cppunit-devel
BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: libwpd-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
libetonyek is library providing ability to interpret and import Apple
Keynote presentations into various applications. Only version 5 is
supported at the moment, although versions 2-4 should work.

%package -n %libname
Summary: A library for import of Apple Keynote presentations
Group: System/Libraries
Obsoletes: %{_lib}etonyek1 < 0.1.1-2

%description -n %libname
libetonyek is library providing ability to interpret and import Apple
Keynote presentations into various applications. Only version 5 is
supported at the moment, although versions 2-4 should work.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libetonyek-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Apple Keynote presentations into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Apple Keynote presentations into other formats.
Currently supported: XHTML, raw, text.

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}



%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make check

%files -n %libname
%doc AUTHORS COPYING FEATURES NEWS README
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 742255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 681443
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 0.1.1-2.mga5
+ Revision: 661114
- fix lib pkg name

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658638
- adjust file list
- bump api
- bump major
- BR librevenge
- new release

* Sun Apr 27 2014 tv <tv> 0.0.4-1.mga5
+ Revision: 618472
- new release

* Thu Feb 06 2014 tv <tv> 0.0.3-2.mga5
+ Revision: 584327
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 584301
- imported package libetonyek

